//Source file: FaultStatsRecord.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * This defines the set of records to be returned giving fault information for the requested time period.
 * 
 */
public final class FaultStatsRecord implements java.io.Serializable {

    private org.csapi.jr.se.TimeInterval period;
    private org.csapi.jr.se.fw.FaultStats[] faultStatsSet;

    /**
     * Creates a new FaultStatsRecord instance.
     */
    public FaultStatsRecord () {}

    /**
     * Creates a new FaultStatsRecord instance.
     * @param _period   
     * @param _faultStatsSet   
     */
    public FaultStatsRecord (org.csapi.jr.se.TimeInterval _period, org.csapi.jr.se.fw.FaultStats[] _faultStatsSet) {

        this.period = _period;
        this.faultStatsSet = _faultStatsSet;
    }

    /**
     * This method returns a period.
     * 
     * @return a org.csapi.jr.se.TimeInterval value
     */
    public org.csapi.jr.se.TimeInterval getPeriod() {
        return period;
    }

    /**
     * This method returns a faultStatsSet.
     * 
     * @return a org.csapi.jr.se.fw.FaultStats[] value
     */
    public org.csapi.jr.se.fw.FaultStats[] getFaultStatsSet() {
        return faultStatsSet;
    }


    /**
     * This method sets a period.
     */ 
    public void setPeriod(org.csapi.jr.se.TimeInterval period) {
        this.period = period;
    }

    /**
     * This method sets a faultStatsSet.
     */ 
    public void setFaultStatsSet(org.csapi.jr.se.fw.FaultStats[] faultStatsSet) {
        this.faultStatsSet = faultStatsSet;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof FaultStatsRecord)) {
            return false;
        } 
        FaultStatsRecord faultStatsRecord = (FaultStatsRecord) o;
        if ((this.period != null) && (faultStatsRecord.period != null)) {
            if(!(this.period.equals(faultStatsRecord.period))) {
                return false;
            }
        }
        if(!(this.faultStatsSet == faultStatsRecord.faultStatsSet))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // FaultStatsRecord

