//Source file: LoadPolicy.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Defines the load balancing policy. 
 * 
 */
public final class LoadPolicy implements java.io.Serializable {

    private String loadPolicy;

    /**
     * Creates a new LoadPolicy instance.
     */
    public LoadPolicy () {}

    /**
     * Creates a new LoadPolicy instance.
     * @param _loadPolicy   
     */
    public LoadPolicy (String _loadPolicy) {

        this.loadPolicy = _loadPolicy;
    }

    /**
     * This method returns a loadPolicy.
     * 
     * @return a String value
     */
    public String getLoadPolicy() {
        return loadPolicy;
    }


    /**
     * This method sets a loadPolicy.
     */ 
    public void setLoadPolicy(String loadPolicy) {
        this.loadPolicy = loadPolicy;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof LoadPolicy)) {
            return false;
        } 
        LoadPolicy loadPolicy = (LoadPolicy) o;
        if ((this.loadPolicy != null) && (loadPolicy.loadPolicy != null)) {
            if(!(this.loadPolicy.equals(loadPolicy.loadPolicy)))  {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // LoadPolicy

