//Source file: LoadStatisticInfo.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Defines the Tagged Choice of Data Elements that specify the type of load statistic information (that is valid or invalid).
 *
 */
public final class LoadStatisticInfo implements java.io.Serializable {

    private LoadStatisticInfoType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new LoadStatisticInfo.
     * Tagged choice of data elements always have empty constructors
     */ 
    public LoadStatisticInfo() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a LoadStatisticInfoType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public LoadStatisticInfoType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a LoadStatisticData
     * 
     * @return  a org.csapi.jr.se.fw.LoadStatisticData value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.fw.LoadStatisticData getLoadStatisticData() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != LoadStatisticInfoType.LOAD_STATISTICS_VALID) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.fw.LoadStatisticData) _object);
    }

    /**
     * This method sets a LoadStatisticData
     * 
     * @param value a org.csapi.jr.se.fw.LoadStatisticData value
     */
    public void setLoadStatisticData(org.csapi.jr.se.fw.LoadStatisticData value) {
        _discriminator = LoadStatisticInfoType.LOAD_STATISTICS_VALID;
        _object = value;
    }

    /**
     * This method returns a LoadStatisticError
     * 
     * @return  a org.csapi.jr.se.fw.LoadStatisticError value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.fw.LoadStatisticError getLoadStatisticError() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != LoadStatisticInfoType.LOAD_STATISTICS_INVALID) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.fw.LoadStatisticError) _object);
    }

    /**
     * This method sets a LoadStatisticError
     * 
     * @param value a org.csapi.jr.se.fw.LoadStatisticError value
     */
    public void setLoadStatisticError(org.csapi.jr.se.fw.LoadStatisticError value) {
        _discriminator = LoadStatisticInfoType.LOAD_STATISTICS_INVALID;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a LoadStatisticInfoType value 
     */ 
    public void setUndefined(LoadStatisticInfoType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof LoadStatisticInfo)) {
            return false;
        } else {
            LoadStatisticInfo loadStatisticInfo= (LoadStatisticInfo)o;
            if(!(this._object.equals(loadStatisticInfo._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(loadStatisticInfo._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // LoadStatisticInfo

