//Source file: MigrationAdditionalInfo.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * Defines the Tagged Choice of Data Elements that specify additional migration-related information. 
 *
 */
public final class MigrationAdditionalInfo implements java.io.Serializable {

    private MigrationAdditionalInfoType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new MigrationAdditionalInfo.
     * Tagged choice of data elements always have empty constructors
     */ 
    public MigrationAdditionalInfo() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a MigrationAdditionalInfoType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public MigrationAdditionalInfoType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a MigrationAdditionalInfoType value 
     */ 
    public void setUndefined(MigrationAdditionalInfoType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof MigrationAdditionalInfo)) {
            return false;
        } else {
            MigrationAdditionalInfo migrationAdditionalInfo= (MigrationAdditionalInfo)o;
            if(!(this._object.equals(migrationAdditionalInfo._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(migrationAdditionalInfo._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MigrationAdditionalInfo

