//Source file: ServiceProfile.java
//Date: December 2004
//Framework Data Types for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw;

/**
 * This data type is a Sequence of Data Elements which represents a Service Profile. It is a structured data type which consists of ServiceProfileID and ServiceProfileDescription.
 * 
 */
public final class ServiceProfile implements java.io.Serializable {

    private String serviceProfileID;
    private org.csapi.jr.se.fw.ServiceProfileDescription serviceProfileDescription;

    /**
     * Creates a new ServiceProfile instance.
     */
    public ServiceProfile () {}

    /**
     * Creates a new ServiceProfile instance.
     * @param _serviceProfileID   
     * @param _serviceProfileDescription   
     */
    public ServiceProfile (String _serviceProfileID, org.csapi.jr.se.fw.ServiceProfileDescription _serviceProfileDescription) {

        this.serviceProfileID = _serviceProfileID;
        this.serviceProfileDescription = _serviceProfileDescription;
    }

    /**
     * This method returns a serviceProfileID.
     * 
     * @return a String value
     */
    public String getServiceProfileID() {
        return serviceProfileID;
    }

    /**
     * This method returns a serviceProfileDescription.
     * 
     * @return a org.csapi.jr.se.fw.ServiceProfileDescription value
     */
    public org.csapi.jr.se.fw.ServiceProfileDescription getServiceProfileDescription() {
        return serviceProfileDescription;
    }


    /**
     * This method sets a serviceProfileID.
     */ 
    public void setServiceProfileID(String serviceProfileID) {
        this.serviceProfileID = serviceProfileID;
    }

    /**
     * This method sets a serviceProfileDescription.
     */ 
    public void setServiceProfileDescription(org.csapi.jr.se.fw.ServiceProfileDescription serviceProfileDescription) {
        this.serviceProfileDescription = serviceProfileDescription;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ServiceProfile)) {
            return false;
        } 
        ServiceProfile serviceProfile = (ServiceProfile) o;
        if(!(this.serviceProfileID == serviceProfile.serviceProfileID))  {
            return false;
        }
        if ((this.serviceProfileDescription != null) && (serviceProfile.serviceProfileDescription != null)) {
            if(!(this.serviceProfileDescription.equals(serviceProfile.serviceProfileDescription))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ServiceProfile

