//Source file: OAM.java
//Date: December 2004


package org.csapi.jr.se.fw.fw_application.integrity;

/**
 * The OAM interface is used to query the system date and time. The application and the framework can synchronise the date and time to a certain extent. Accurate time synchronisation is outside the scope of the OSA APIs.  This interface and the systemDateTimeQuery() method are optional.
 *
 */
public interface OAM extends org.csapi.jr.se.CsapiInterface{

    /**
     * This method is used to query the system date and time. The client application passes in its own date and time to the framework. The framework responds with the system date and time.
     * @return systemDateAndTime    This is the system date and time of the framework.
     * @param clientDateAndTime This is the date and time of the client (application). The error code P_INVALID_DATE_TIME_FORMAT is returned if the format of the parameter is invalid.
     * @exception org.csapi.jr.se.CommonException     Defines the structure of the exception class which is applicable to all methods.
     * @exception org.csapi.jr.se.InvalidTimeAndDateFormatException     Invalid date and time format provided.
     * @exception org.csapi.jr.se.PlatformException     The implementation detected an internal (for example, communication) error
     */
    String  systemDateTimeQuery(String clientDateAndTime) throws org.csapi.jr.se.CommonException, org.csapi.jr.se.InvalidTimeAndDateFormatException, org.csapi.jr.se.PlatformException;


} // OAM

