//Source file: SvcHeartBeat.java
//Date: December 2004
//Framework to Service Interfaces for 3GPP TS 29.198-03 V6.3.0, Release 6

package org.csapi.jr.se.fw.fw_service.integrity;

/**
 * The service heartbeat interface is used by the framework to send the service instance its heartbeat.  If a Service is capable of invoking IpFwHeartBeatMgmt.enableHeartBeat(), it shall implement IpSvcHeartBeat and the pulse() method.
 *
 */
public interface SvcHeartBeat extends org.csapi.jr.se.CsapiInterface{

    /**
     * The framework uses this method to send its heartbeat to the service instance.  The service will be expecting a pulse at the end of every interval specified in the parameter to the IpFwHeartBeatMgmt.enableHeartbeat() method.  If the pulse() is not received within the specified interval, then the framework can be deemed to have failed the heartbeat.
     * @exception org.csapi.jr.se.CommonException     Defines the structure of the exception class which is applicable to all methods.
     */
    void  pulse() throws org.csapi.jr.se.CommonException;


} // SvcHeartBeat

